# Interface SpecTree

All Superinterfaces:
  `BlockTagTree, DocTree`

public interface SpecTree extends BlockTagTree
A tree node for an `@spec` block tag.

       @spec url title

Since:
  20

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getTitle()`
Returns the title.
`TextTree`
`getURL()`
Returns the URL.

### Methods declared in interface BlockTagTree

`getTagName`

### Methods declared in interface DocTree

`accept, getKind`

## Method Details

### getURL

TextTree getURL()
Returns the URL.

Returns:
  the URL

### getTitle

List<? extends DocTree> getTitle()
Returns the title.

Returns:
  the title